API Reference¶
| Swagger UI | Swagger Spec (JSON) | Swagger Spec (YAML) |
-
GET/register¶ Register to receive a MAGIC API key.
Query Parameters: - email (string) – Email Address
- name (string) – Full Name
Status Codes: - 200 OK – Request received
-
POST/upload/{api_key}¶ Upload file for processing
Parameters: - api_key (string) – API Key for accessing the service
Query Parameters: - origFilePath (string) – Name of the file being uploaded
- password (string) – If uploading a password protected zip, this field MUST contain the password.
- priority (integer) – Analysis priority. Higher priority files are analyzed first. Priorities higher than default require special privileges.
- force (boolean) – If true, will force existing file to be reanalyzed.
Status Codes: - 200 OK – The upload request was received. This does not mean that the upload was a sucess. The status and statuscode fields contain the result of the upload.
-
GET/reprocess/{api_key}/{file_hash}¶ Reprocess a previously uploaded file
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
Query Parameters: - priority (integer) – Analysis priority. Higher priority files are analyzed first. Priorities higher than default require special privileges.
Status Codes: - 200 OK – Request received
-
GET/download/{api_key}/{file_hash}¶ Download a file
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
Status Codes: - 200 OK – File was successfully returned.
-
GET/query/{api_key}/{file_hash}¶ Query file info and analysis status
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
Status Codes: - 200 OK – Request received.
-
GET/magic/{api_key}/{file_hash}¶ Retrieve the MAGIC correlations for a binary.
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
Query Parameters: - details (boolean) – If false, omits the match details. Defaults to true.
- threshold (number) – Only similarity matches at value equal or above threshold will be considered. MUST be in range [0, 1]. Defaults to 0.7.
Status Codes: - 200 OK – Request received.
-
GET/categories/{api_key}/{file_hash}¶ Retrieve the MAGIC categories for a binary. **Alpha Level Feature**
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
Status Codes: - 200 OK – Request received.
-
PUT/categories/{api_key}/{file_hash}¶ Save category for a binary. **Alpha Level Feature**
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
Status Codes: - 200 OK – Request received.
-
GET/search/procs/{api_key}/{file_hash}/{proc_rva}¶ Search for procedures similar to a given procedure.
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
- proc_rva (string) – The RVA of the procedure to find similarities with. Formatted 0xnnnn
Status Codes: - 200 OK – Request received
-
GET/search/binary/{api_key}/{file_hash}¶ Search for similar binaries.
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
Query Parameters: - threshold (number) – Similarity threshold, default 0.7.
- level (integer) – Similarity Search Level from 1 through 5, default is 3.
Status Codes: - 200 OK – Request received
-
GET/show/binary/{api_key}/{file_hash}¶ Show the genomic features for a given binary.
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
Status Codes: - 200 OK – Request received
-
GET/show/proc/{api_key}/{file_hash}/{proc_rva}¶ Show the genomic features for a given procedure.
Parameters: - api_key (string) – API Key for accessing the service
- file_hash (string) – A cryptographic hash of a file. Supported hashes are SHA1.
- proc_rva (string) – The RVA of the procedure to find similarities with. Formatted 0xnnnn
Status Codes: - 200 OK – Request received